<?php
//====================================================
// Описание работы исходника на:
// https://www.interestprograms.ru
// Исходные коды программ и игр
//====================================================

// router.php

$request_uri = $_SERVER["REQUEST_URI"];

// --- Обработка статических файлов типа image --- 

if (preg_match('/\.(?:png|jpg|jpeg|gif)$/', $request_uri)) {
	// Получение данных файла
	$path = ltrim($request_uri, '/');
	$size = filesize($path);
	// Отправка заголовков.
	header('Content-Type: image');
	header("Content-length: $size");
	// Вывод содержимого файла
	echo file_get_contents($path, true);
	return true;
}

// --- Вывод динамического контента ---

// 
echo 'URI: "' . $request_uri . '" <br><hr />';

$routes = array(
	"/" => "pages/index.php",
	"/page1" => "pages/1.php",
	"/page2" => "pages/2.php",
	"/page3" => "pages/3.php",
	"/page4" => "pages/4.php",
	"/page5" => "pages/5.php",
);

// Меню
$html = "<ul>";
foreach ($routes as $key => $value) {
	$html .= "<li><a href=\"$key\">$value</a></li>";
}
$html .= "</ul>";
echo $html;

// Маршрутизация
foreach ($routes as $key => $value) {
	if (strcasecmp($request_uri, $key) == 0) {
		include($value);
		return;
	}
}

// Запрошенная страница не существует.
include("error404.php");
